# This class can be abstracted and is meant to handle the drawing workflow
# of each individual model.
tool
extends Resource
class_name SummerDayBlueprint


export(Mesh) var model = null
var active = true # Not handled right now.


func _create_cell(table: SummerDayTable) -> SummerDayCell: # Virtual.
	return null


func _input(event): # Virtual.
	pass


func get_allocation_size() -> int:
	push_error("get_allocation_size wasn't overwritten")
	return 0
